<?php
/**
 * @package Joomla 1.6.x
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant to the
 * GNU General Public License, and as distributed it includes or is derivative
 * of works licensed under the GNU General Public License or other free or open
 * source software licenses. See COPYRIGHT.php for copyright notices and
 * details.
 *
 * @PlayJoom Component
 * @copyright Copyright (C) 2010-2013 by www.teglo.info
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @date $Date: 2013-11-02 12:55:59 +0100 (Sa, 02 Nov 2013) $
 * @revision $Revision: 865 $
 * @author $Author: toto $
 * @headurl $HeadURL: http://dev.teglo.info/svn/playjoom/components/com_playjoom/views/genres/view.html.php $
 */

defined('_JEXEC') or die('Restricted access');
 
// import Joomla view library
jimport('joomla.application.component.view');
jimport( 'joomla.application.component.helper' );

 
/**
 * HTML View class for the PlayJoom Component
 */
class PlayJoomViewGenres extends JViewLegacy {
	
	// Overwriting JView display method
    function display($tpl = null) {
    	
    	// Get data from the model
        $items       = $this->get('Items');
        $pagination  = $this->get('Pagination');
               
        //Get setting values from xml file
        $app		= JFactory::getApplication();
        $params		= $app->getParams();
                
        // Assign data to the view
        $this->items = $items;
        $this->pagination = $pagination;
                
        //For filter and ordering function
        $this->state = $this->get('State');
        $this->authors = $this->get('Authors');
        
        $this->assignRef('params',		$params);
                
        // add style sheet
        if ($this->params->get('css_type', 'pj_css') == 'pj_css') {
        	$document	= JFactory::getDocument();
            $document->addStyleSheet(JURI::base(true).'/components/com_playjoom/assets/css/filter.css');
        }
        
        $this->_prepareDocument();
        
        parent::display($tpl);
    }
    
    /**
     * Prepares the document
     */
    protected function _prepareDocument() {

    	$app	= JFactory::getApplication();
    	//Set Page title
    	$this->document->setTitle($app->getCfg('sitename').' - '.ucfirst(JRequest::getVar('view')));
    }
}
